"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hasDependency = void 0;

var _tools = require("@kettil/tools");

var _packageLoad = require("../actions/npm/packageLoad");

const hasDependency = async (argv, {
  dependencyType,
  dependency
}) => {
  const dependencies = await (0, _packageLoad.npmPackageLoadAction)(argv, {
    key: dependencyType
  });

  if (!(0, _tools.isObject)(dependencies)) {
    return false;
  }

  return (0, _tools.isString)(dependencies[dependency]);
};

exports.hasDependency = hasDependency;