"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.readFile = void 0;

var _fs = require("fs");

const readFile = async (path, toJson = false) => {
  const data = await _fs.promises.readFile(path, {
    encoding: 'utf8'
  });

  if (toJson === true) {
    return JSON.parse(data);
  }

  return data;
};

exports.readFile = readFile;