import type { Task } from '../types';
import type { AnalyseFiles } from '../utils/getAnalyseFiles';
declare const analysePreServices: readonly ["eslint", "prettier"];
declare const analyseSuffixServices: readonly ["typescript"];
declare const analyseServices: readonly ["eslint", "prettier", "typescript"];
declare type AnalyseProps = {
    only?: ReadonlyArray<typeof analyseServices[number]> | typeof analyseServices[number];
    path?: string;
    all?: boolean;
    files?: AnalyseFiles;
};
declare const analyseTask: Task<AnalyseProps>;
export type { AnalyseProps };
export { analyseTask, analyseServices, analysePreServices, analyseSuffixServices };
//# sourceMappingURL=analyseTask.d.ts.map