"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPathFromNodeModulesParent = void 0;

const getPathFromNodeModulesParent = (path, defaultPath) => {
  const indexOfNodeModules = path.toLowerCase().indexOf('node_modules');
  return indexOfNodeModules >= 0 ? path.slice(0, indexOfNodeModules - 1) : defaultPath;
};

exports.getPathFromNodeModulesParent = getPathFromNodeModulesParent;